## logcat-colorize-0.10.0.tar.gz

=== Makefile ===
#
# File:      Makefile
#
# Purpose:   Ease compiling pain!
#
# Author:    BRAGA, Bruno <bruno.braga@gmail.com>
#
# Copyright:
#            Licensed under the Apache License, Version 2.0 (the "License");
#            you may not use this file except in compliance with the License.
#            You may obtain a copy of the License at
#
#            http://www.apache.org/licenses/LICENSE-2.0
#
#            Unless required by applicable law or agreed to in writing, software
#            distributed under the License is distributed on an "AS IS" BASIS,
#            WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
#            implied. See the License for the specific language governing
#            permissions and limitations under the License.
#
# Notes:     
#            Bugs, issues and requests are welcome at:
#            https://bitbucket.org/brunobraga/logcat-colorize/issues
#

#CC=g++
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
   CXXFLAGS += -lboost_regex -lboost_program_options -std=c++0x -O3
else ifeq ($(UNAME_S),Darwin)
   BOOSTDIR ?= /opt/local
   CXXFLAGS += -L$(BOOSTDIR)/lib -lboost_regex-mt -lboost_program_options-mt -std=c++0x -I$(BOOSTDIR)/include -Wno-deprecated-register -O3
endif
EXEC=logcat-colorize
DEPS=logcat-colorize.cpp

PREFIX ?= /usr

INSTALLDIR=$(DESTDIR)$(PREFIX)/bin

$(EXEC): $(DEPS)
	$(CXX) $(DEPS) -o $(EXEC) $(CXXFLAGS)

$(INSTALLDIR):
	mkdir -pv $(INSTALLDIR)

clean:
	rm -f $(EXEC)

install: $(EXEC) $(INSTALLDIR)
	install -m 0755 $(EXEC) $(INSTALLDIR)

uninstall:
	rm -f $(INSTALLDIR)/$(EXEC)

.PHONY: install clean

=== debian/changelog ===
logcat-colorize (0.5-1) unstable; urgency=low

  * First open-source release.

 -- Bruno Braga <bruno.braga@gmail.com>  Wed, 10 Apr 2013 21:26:01 +1000

=== debian/control ===
Source: logcat-colorize
Section: misc
Priority: optional
Maintainer: Bruno Braga <bruno.braga@gmail.com>
Build-Depends: debhelper (>= 7.4.15), libboost-dev (>= 1.40), libboost-regex-dev (>= 1.40), libboost-program-options-dev (>= 1.40)
Standards-Version: 3.9.3
Homepage: https://bitbucket.org/brunobraga/logcat-colorize

Package: logcat-colorize
Architecture: any
Depends: libboost-dev (>= 1.40), libboost-regex-dev (>= 1.40), libboost-program-options-dev (>= 1.40)
Description: displays android logcat in colors
 displays the Android Debug Bridge (adb)'s log output in 
 colors in terminal (command-line). 
 .
 This is for those who prefer to handle logcat in terminal 
 instead of Eclipse.

=== macports/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0
PortGroup           github 1.0
PortGroup           makefile 1.0

github.setup        carlonluca logcat-colorize 0.9.0 v
revision            1
github.tarball_from archive
license             Apache-2
categories          devel
platforms           darwin
maintainers         {@carlonluca gmail.com:carlon.luca} openmaintainer
description         Parser of the Android Debug Bridge logcat output
long_description    logcat-colorize is a parser for the output of the \
                    Android Debug Bridge logcat output. It accepts the \
                    logcat output from stdin and produces a formatted \
                    output, optimised for reading in a console.
checksums           rmd160  681c23fa21da367cd686716829c7dbbc257eb1c5 \
                    sha256  a1d31b821ba4be5f4e1a3156dce27521af204775f6928d9f5fe1319d026cbc78 \
                    size    789589
depends_lib         port:boost
compiler.cxx_standard \
                    2011
build.target
build.args-append   BOOSTDIR=${prefix}

=== debian/watch ===
version=3
https://bitbucket.org/brunobraga/logcat-colorize/get/(.+).tar.gz
